# OpenLayers.Format.Atom

Read/write Atom feeds. Create a new instance with the <OpenLayers.Format.AtomFeed> constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.Atom | Read/write Atom feeds.
Properties |
feedTitle | {String} Atom feed elements require a title.
defaultEntryTitle | {String} Atom entry elements require a title.
xy | {Boolean} Order of the GML coordinate: true:(x,y) or false:(y,x) For GeoRSS the default is (y,x), therefore: false
Constructor |
OpenLayers.Format.AtomEntry | Create a new parser for Atom.
Functions |
write | Serialize or more feature nodes to Atom documents.

### Properties

### feedTitle

{String} Atom feed elements require a title. Default is “untitled”.

### defaultEntryTitle

{String} Atom entry elements require a title. In cases where one is not provided in the feature attributes, this will be used. Default is “untitled”.

### xy

{Boolean} Order of the GML coordinate: true:(x,y) or false:(y,x) For GeoRSS the default is (y,x), therefore: false

### Constructor

### OpenLayers.Format.AtomEntry

Create a new parser for Atom.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### write

> write: function( | features | )

Serialize or more feature nodes to Atom documents.

#### Parameters

features | a single {OpenLayers.Feature.Vector} or an Array({OpenLayers.Feature.Vector}).

#### Returns

{String} an Atom entry document if passed one feature node, or a feed document if passed an array of feature nodes.

> write: function( | features | )

Serialize or more feature nodes to Atom documents.
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close